Name:           katapult
Version:        0.3.2.1
Release:        %mkrel 1
Summary:        Faster access to applications, bookmarks, and other items

License:        GPLv2
Group:          User Interface/Desktops
URL:            http://katapult.kde.org/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs-devel, desktop-file-utils, automake, gettext

%description
Katapult is an application for KDE, designed to allow faster access to
applications, bookmarks, and other items. It is plugin-based, so it can
launch anything that is has a plugin for. Its display is driven by
plugins as well, so its appearance is completely customizable. It was
inspired by Quicksilver for OS X.

%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall

desktop-file-install --vendor mandriva \
    --add-category X-Mandrivalinux  \
    --add-category System    \
    --remove-category System \
    --delete-original        \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

rm -f %{buildroot}%{_libdir}/lib%{name}.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_docdir}/HTML/en/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/services/%{name}*
%{_datadir}/servicetypes/%{name}*
%{_iconsdir}/hicolor/128x128/actions/checkmark.png
%{_iconsdir}/hicolor/128x128/actions/no.png
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_iconsdir}/hicolor/128x128/apps/xcalc.png
%{_iconsdir}/crystalsvg/128x128/actions/%{name}spellcheck.png
%{_iconsdir}/crystalsvg/scalable/actions/%{name}spellcheck.svgz
%{_iconsdir}/hicolor/??x??/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svgz
%{_libdir}/kde3/*
%{_libdir}/lib%{name}.*


%Changelog
* Tue Oct 16 2007 Doktor5000 <rpm@mandrivauser.de> 0.3.2.1-1mud2008.0
- new version 0.3.2.1
- rebuild for Mandrivalinux 2008.0
